"use strict";
var fs = require("fs");
/**
 * @link http://stackoverflow.com/a/14387791
 * @param {string} source filename
 * @param {string} target filename
 * @param {Function} cb
 */
function copyFile(source, target, cb) {
    var rd = fs.createReadStream(source);
    var wr = fs.createWriteStream(target);
    var cbCalled = false;
    var done = function (err, res) {
        if (cbCalled)
            return;
        cb(err, res);
        cbCalled = true;
    };
    rd.on("error", function (err) { done(err); });
    wr.on("error", function (err) { done(err); });
    wr.on("close", function () { done(undefined, target); });
    rd.pipe(wr);
}
exports.copyFile = copyFile;
//# sourceMappingURL=copy-file.js.map